
Name: kblackbox
Summary: Find atoms in a grid by shooting electrons
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5 
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/games/kblackbox/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel

BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: kxmlgui-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Recommends: kblackbox-handbook

%description
KBlackbox is a game of hide and seek played on a grid of boxes where the
computer has hidden several balls. The position of the hidden balls can be
deduced by shooting beams into the box.

%files
%_kf5_bindir/kblackbox
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kblackbox
%_kf5_iconsdir/hicolor/*/apps/kblackbox.png
%_kf5_datadir/metainfo
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n kblackbox-handbook
Summary: kblackbox handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kblackbox-handbook
This package provides the kblackbox handbook.

%files -n kblackbox-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

